@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@media screen and (max-width:478px) {
  .scratchcodeform {
    max-width: 100%;
}
}
.scratchcodeform .actions {
  margin-block-start: 2em;
  margin-block-end: 4em;
}

.scratchcodeform fieldset {
  display: none;
  opacity: 0;
  transition: opacity 1s ease-in-out;
}
.scratchcodeform fieldset>fieldset {
    display: inherit;
    opacity: inherit;
}

.scratchcodeform[data-active-step="1"] fieldset[data-step="1"] {
  display: block;
  animation: fadeIn 1s forwards;
}

.scratchcodeform[data-active-step="2"] fieldset[data-step="2"] {
  display: block;
  animation: fadeIn 1s forwards;
}

.scratchcodeform.loading {
  
}


.scratchcodeform fieldset[data-step="1"],
.scratchcodeform fieldset[data-step="2"] {
  text-align: center;
}
.scratchcodeform legend {
  font-weight: 600;
  font-size: 2em;
  border: 0;
}
.scratchcodeform label {
  text-transform: uppercase;
}
.scratchcodeform fieldset[data-step="1"] input,
.scratchcodeform fieldset[data-step="2"] input,
.scratchcodeform fieldset[data-step="2"] select  {
  border: 0;
  width: 400px;
  max-width: 90%;
  margin: 0 auto;
  background-color: #eeeeee;
  border: 1px solid #cecece;
  padding: 0.5em;
  text-align: center;
}
.scratchcodeform .form-element-check {
  width: 90%;
  max-width: 100%;
  margin: 0 auto;
}
@media screen and (min-width:479px) {
  .scratchcodeform .form-element-check {
    width: 400px;
  }
}
.scratchcodeform fieldset[data-step="2"] input[type='checkbox'],
.scratchcodeform fieldset[data-step="2"] input[type='radio']  {
  max-width: 20px;
  text-align: left;
  top: 5px;
  position: relative;
}
.scratchcodeform fieldset[data-step="1"] input  {
  font-weight: 600;
  font-size: 1em;
  letter-spacing: 1em;  
  width: 100%;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
  padding: 0.5em;
  text-align: center;
}
.established-year {
  margin: 24px 0;
}
.established-year legend {
  font-size: 19px;
  margin-bottom: 16px;
}
.form-element-check label {
  font-weight: 500;
  text-transform: none;
}
@media screen and (min-width:799px) {
  .scratchcodeform fieldset[data-step="1"] input  {
    font-size: 2em;
    width: 630px;
    padding: 1em;
  }
}
.scratchcodeform fieldset[data-step="1"] input + input {
  margin-top: 1em;
}
.scratchcodeform fieldset[data-step="1"] button#add-scratchcode {
  font-family: 'Oswald';
  padding: 6px 12px;
  font-size: 14px;
  text-transform: uppercase;
  border: 2px solid #666;
  color: #666;
  background: transparent;
  border-radius: 3px;
  margin-top: 2em;
  transition: .3s all ease-out;
}
.scratchcodeform fieldset[data-step="1"] button#add-scratchcode:hover {
  color: #000;
  border: 2px solid #000;
}
.scratchcodeform fieldset[data-step="1"] label {
  display: none;
}
.scratchcodeform fieldset[data-step="2"] input,
.scratchcodeform fieldset[data-step="2"] select {
  margin-bottom: 1em;
}
.scratchcodeform #scratchCodeFeedback {
  color: #db0c16 !important;
  text-transform: uppercase;
  text-align: center;
  font-size: 1.3em;
  margin: 1em;
}
.scratchcodeform .form-navigation{
  text-align: center;
}
.scratchcodeform .btn {
  margin: 0 auto;
}
.scratchcode-thank-you-message .thank-you-message {
  text-align: center;
  font-size: 1.4em;
  padding-bottom: 1em;
  border-bottom: 1px solid #cecece;
}
.scratchcode-thank-you-message .thank-you-message p:first-of-type {
  text-transform: uppercase;
  font-weight: 600;
  font-size: 1em;
}

@media screen and (max-width:479px) {
  .scratchcodeform fieldset[data-step="1"] input,
  .scratchcodeform fieldset[data-step="2"] input  {
      font-size: 6vw;
  }
  .scratchcodeform fieldset[data-step="1"] #scratchcode-container input {
      font-size: 1em;
  }
}
.prize_won_form  {
  padding: 60px 0;
}
.prize_won_form label {
  font-size: 0.9em;
  font-weight: 600;
}
.prize_won_form .btn {
  margin-top: 32px;
}
.personal_data  {
  font-size: 16px;
  display: flex;
  flex-direction: row;
}
.prize_won_delivery_data {
  font-weight: 600;
}
.prize_won_delivery_data label {
  width: 50%;
  display: inline-block;
  padding-right: 6px;
  font-weight: 500;
  text-align: right;
}
@media screen and (max-width:479px) {
  .personal_data  {
    text-align: left;
    flex-direction: column;
    margin-bottom: 16px;
  }
  .prize_won_delivery_data label  {
    width: 100%;
    text-align: left;
  }
}